API

Set form field length

POST/api/crm/v2/base_settings.set_lengthv2
operationId: baseSettings.setLength

Sets the maximum length of a form field. id specifies the field as group_index. Applies only to fields with customizable length — see extendable. For other fields, error 355 is returned: their length is fixed. If id is unknown, error 354 is returned; if length is not a number — error 121. Valid range is from 1 to 1000.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body application/json

object
idstringrequired

Example: additional_4

lengthintegerrequired

Example: 600

Responses

OK

object (Response)
statusstringrequired

Values:successerror

Example: success

One of the options
object

Error details

errorobjectrequired
codeintegerrequired

Error code

variablesobject
descriptionstringrequired

Error description